<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" aria-disabled="true">

    <head xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
        <title th:text="${title}"></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1"/>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"/>
        <link rel="stylesheet" href="https://bootswatch.com/cosmo/bootstrap.min.css"/>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    </head>

    <body style="height: 99vh; overflow-y: hidden;">

        <nav class="navbar navbar-inverse">
            <div class="container-fluid">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                            data-target="#doc-navbar-collapse" aria-expanded="false">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" th:href="@{'/'}" th:text="${title}"/>
                </div>

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse" id="doc-navbar-collapse">
                    <ul class="nav navbar-nav">
                        <li class="active"><a th:href="@{'/'}">Index<span class="sr-only">(current)</span></a></li>
                        <li class="navbar-text">
                            <div th:text="${'Group ' + artifact.getGroupId()}"/>
                        </li>
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                               aria-haspopup="true"
                               aria-expanded="false">Artefakt <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <li th:each="artifactItem : ${artifacts}">
                                    <a th:href="@{/doc/groupId/{groupId}/artifactId/{artifactId}/get(groupId=${artifactItem.getGroupId()}, artifactId=${artifactItem.getArtifactId()})}"
                                       th:text="${artifactItem.getArtifactId()}"></a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="nav navbar-nav">
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                               aria-haspopup="true"
                               aria-expanded="false">Version <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <li th:each="version : ${artifact.getVersions()}">
                                    <a th:href="@{/doc/groupId/{groupId}/artifactId/{artifactId}/version/{version}/get(groupId=${version.getGroupId()}, artifactId=${version.getArtifactId()}, version=${version.getVersion()})}"
                                       th:text="${version.getVersion()}"/>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div><!-- /.navbar-collapse -->
            </div><!-- /.container-fluid -->
        </nav>

        <div class="container-fluid">
            <div class="row-fluid">
                <div class="panel panel-default">
                    <div class="panel-heading" th:text="${artifactVersion.toString()}"></div>
                    <div class="panel-body">
                        <object class="col-md-12 col-sd-12 col-xs-12" style="height: 80vh;" type="text/html"
                                th:data="${artifactVersion.getPath()}"/>
                    </div>
                </div>
            </div>
        </div>
    </body>

</html>